> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joinsayless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add ticket comment reaction

> Adds a Unicode emoji reaction to a comment. `emoji` is the character the app stores, for example 👍.



## OpenAPI

````yaml /openapi.json post /api/v1/tickets/ticketComment/comment_reaction_add
openapi: 3.0.3
info:
  title: Sayless Public API
  version: 1.0.0
  description: >-
    Curated work-graph HTTP API for personal API keys (`sl_api_…`) or OAuth
    tokens (`sl_oat_…`), including app-actor / client_credentials. Documents the
    API/OAuth response mode only.
servers:
  - url: https://api.joinsayless.com
    description: Production gateway
security:
  - bearer: []
tags:
  - name: Tickets
  - name: Ticket comments
  - name: Ticket statuses
  - name: Ticket subscriptions
  - name: Conversations
  - name: Conversation labels
  - name: Conversation statuses
  - name: Conversation subscriptions
  - name: Messages
  - name: Companies
  - name: Contacts
  - name: Company labels
  - name: Company sectors
  - name: Contract types
  - name: Company relationships
  - name: Company updates
  - name: Documents
  - name: Folders
  - name: Notes
  - name: Teams
  - name: Team memberships
  - name: Attachments
  - name: Webhook subscriptions
  - name: Workspace
paths:
  /api/v1/tickets/ticketComment/comment_reaction_add:
    post:
      tags:
        - Ticket comments
      summary: Add ticket comment reaction
      description: >-
        Adds a Unicode emoji reaction to a comment. `emoji` is the character the
        app stores, for example 👍.
      operationId: TicketsController_addCommentReaction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicCommentReactionRequest'
      responses:
        '200':
          description: Public mutation payload
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - data
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    $ref: '#/components/schemas/TicketComment'
        4XX:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
      security:
        - bearer: []
components:
  schemas:
    PublicCommentReactionRequest:
      type: object
      properties:
        workspaceId:
          type: string
          format: uuid
        _id:
          type: string
          format: uuid
          description: Comment id.
        emoji:
          type: string
          description: 'Unicode emoji character. Example: 👍'
      additionalProperties: false
      required:
        - workspaceId
        - _id
        - emoji
    TicketComment:
      type: object
      properties:
        _id:
          type: string
          format: uuid
        workspaceId:
          type: string
          format: uuid
        ticketId:
          type: string
          format: uuid
        teamId:
          type: string
          format: uuid
          nullable: true
        senderId:
          type: string
          format: uuid
          nullable: true
        deletedAt:
          type: string
          format: date-time
          nullable: true
        content:
          type: string
          description: Lexical document JSON.
        field:
          type: string
          nullable: true
        contentAttributes:
          type: object
          additionalProperties: true
        reactions:
          type: array
          items:
            type: object
            properties:
              emoji:
                type: string
              createdById:
                type: array
                items:
                  type: string
                  format: uuid
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        edited:
          type: boolean
        quotedCommentId:
          type: string
          format: uuid
          nullable: true
        quotedContent:
          type: string
          nullable: true
        quotedSenderId:
          type: string
          format: uuid
          nullable: true
    PublicErrorEnvelope:
      type: object
      required:
        - error
        - statusCode
      properties:
        error:
          type: object
          required:
            - type
            - message
          properties:
            type:
              type: string
            message:
              type: string
            userMessage:
              type: string
            fields:
              type: object
              additionalProperties: true
        statusCode:
          type: number
        timestamp:
          type: string
        path:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: API key or OAuth access token
      description: Personal API key (`sl_api_…`) or OAuth access token (`sl_oat_…`)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.